API reference

List orders

With this API you can list all paid ticket orders of the selected organisation, sorted from the most recent order to the oldest.


Request

Make a GET request to the following endpoint with the API key.

https://api.hipsy.nl/v1/organisation/{organisation}/orders

The URL parameter {organisation} is the slug or the ID of the organisation to get the orders from. You can find the slug in the Hipsy dashboard in the menu 'Organisatie' and tab 'Profiel', or retrieve it with the List organisations API.

The following parameters are available and can be passed in the URL as query parameters.

ParameterRequiredDescriptionDefault
eventoptionalID of an event to only return orders of that event. Use a comma-separated list for multiple events, for example 1030,1032.
limitoptionalThe number of orders per page, up to 10025
pageoptionalPage selection in case there are more results than the given limit1

Response

An array will be returned with the orders.

KeyDescription
idThe ID of the order
event_idThe ID of the event
event_nameThe name of the event
revenueThe revenue of the order, which will be paid out to the organisation. This excludes service fees.
first_nameFirst name of the buyer
last_nameLast name of the buyer
emailEmail address of the buyer
localeLanguage the buyer used when buying the tickets. Can be either nl, en, de, fr or es
newslettertrue if the buyer has subscribed to your newsletter
dateDate of the order
personal_dataAnswers of the buyer to the order form. See personal data
utmUTM parameters of the visit that led to the order: utm_source, utm_medium, utm_campaign, utm_term and utm_content. A value is null if it wasn't provided.
ticketsArray of the tickets in the order. See tickets array

Personal data

The personal_data object always contains the following keys. A value is null if the field is not part of your order form or wasn't filled in: city, phone, gender, address, comment, company, dietary, birthday, postcode, question1, question2 and question3.

Tickets array

Cancelled tickets are included, so that the tickets match the order.

KeyDescription
numberThe ticket number
event_ticket_idThe ID of the configured ticket, see List events
event_ticket_nameThe name of the configured ticket
checkintrue if the ticket has been checked in at the event
price_ticketThe price of the ticket, as a string with two decimals
price_finalThe price of the ticket including service fee, as a string with two decimals

Example

{
    "data": [
        {
            "id": 1148,
            "event_id": 1030,
            "event_name": "Ecstatic Dance Universe - Kareem",
            "revenue": 17.5,
            "first_name": "Jane",
            "last_name": "Doe",
            "email": "jane@example.com",
            "locale": "nl",
            "newsletter": false,
            "date": "2022-12-16T15:04:51.000000Z",
            "personal_data": {
                "city": "Utrecht",
                "phone": null,
                "gender": null,
                "address": null,
                "comment": null,
                "company": null,
                "dietary": null,
                "birthday": null,
                "postcode": null,
                "question1": null,
                "question2": null,
                "question3": null
            },
            "utm": {
                "utm_source": "newsletter",
                "utm_medium": "email",
                "utm_campaign": null,
                "utm_term": null,
                "utm_content": null
            },
            "tickets": [
                {
                    "number": 114857291,
                    "event_ticket_id": 83,
                    "event_ticket_name": "Early Bird",
                    "checkin": false,
                    "price_ticket": "17.50",
                    "price_final": "18.45"
                }
            ]
        },
        ...
    ],
    "links": {
        "first": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/orders?page=1",
        "last": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/orders?page=4",
        "prev": null,
        "next": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/orders?page=2"
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 4,
        "links": [...],
        "path": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/orders",
        "per_page": 25,
        "to": 25,
        "total": 81
    }
}
Previous
List events